#!/usr/bin/python3

from PyQt6.QtCore import Qt
from PyQt6.QtWidgets import QMainWindow, QMenu, QDockWidget
from .main_container import MainContainer
from .library_dock import LibraryDock


class MainWindow(QMainWindow):
    def __init__(self, parent=None):
        super().__init__(parent)

        self.setWindowTitle("WoBuzz")

        self.menu_bar = self.menuBar()
        self.menu_bar.addMenu(QMenu("&File", self))

        self.main_container = MainContainer(self)
        self.setCentralWidget(self.main_container)

        self.library_dock = LibraryDock()
        self.library_dock.setFeatures(
            QDockWidget.DockWidgetFeature.DockWidgetMovable |
            QDockWidget.DockWidgetFeature.DockWidgetFloatable
        )
        self.addDockWidget(Qt.DockWidgetArea.BottomDockWidgetArea, self.library_dock)

